Bug 625854 - Review Request: perl-CGI-Application-Plugin-CAPTCHA - Easily create, use, and verify CAPTCHAs in CGI::Application-based web apps
Review Request: perl-CGI-Application-Plugin-CAPTCHA - Easily create, use, and...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 11:46 EDT by Emmanuel Seyman
Modified: 2010-09-17 14:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 23:52:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2010-08-20 11:46:04 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-CAPTCHA/perl-CGI-Application-Plugin-CAPTCHA.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-CAPTCHA/perl-CGI-Application-Plugin-CAPTCHA-0.01-1.fc13.src.rpm
Description:
CGI::Application::Plugin::CAPTCHA allows programmers to easily add and
verify CAPTCHAs in their CGI::Application-derived web applications.
Comment 1 Iain Arnell 2010-09-03 11:34:07 EDT
Sorry - I didn't spot this earlier. After all you've done for me recently, feel free to copy me on any reviews and I'll get right on to them.
Comment 2 Iain Arnell 2010-09-03 11:55:32 EDT
+ source files match upstream.  
    da16c6a73f27ea5469c75f8cb47c24d2  CGI-Application-Plugin-CAPTCHA-0.01.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
- BuildRequires are proper.
    needs: 
        perl(CGI::Application)
        perl(GD::SecurityImage)
        perl(HTTP::Server::Simple::CGI)
    should: 
        perl(Test::Pod)
        perl(Test::Pod::Coverage)

+ compiler flags are appropriate.
+ %clean is present.
- package builds in mock (with additional BRs above)
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2445432

+ package installs properly.
+ rpmlint has no complaints:
    perl-CGI-Application-Plugin-CAPTCHA.noarch: I: checking
    perl-CGI-Application-Plugin-CAPTCHA.noarch: I: checking-url http://search.cpan.org/dist/CGI-Application-Plugin-CAPTCHA/ (timeout 10 seconds)
    perl-CGI-Application-Plugin-CAPTCHA.src: I: checking
    perl-CGI-Application-Plugin-CAPTCHA.src: I: checking-url http://search.cpan.org/dist/CGI-Application-Plugin-CAPTCHA/ (timeout 10 seconds)
    perl-CGI-Application-Plugin-CAPTCHA.src: I: checking-url http://www.cpan.org/authors/id/C/CR/CROMEDOME/CGI-Application-Plugin-CAPTCHA-0.01.tar.gz (timeout 10 seconds)
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    perl(CGI::Application::Plugin::CAPTCHA) = 0.01
    perl-CGI-Application-Plugin-CAPTCHA = 0.01-1.fc15
=
    perl(Data::Random)  
    perl(Exporter)  
    perl(GD::SecurityImage)  
    perl(:MODULE_COMPAT_5.12.1)  
    perl(strict)  
    perl(vars)  

+ %check is present and all tests pass.
    All tests successful.
    Files=6, Tests=21,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.55 cusr  0.07 csys =  0.65 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


Add the missing BuildRequires and it's APPROVED.
Comment 3 Emmanuel Seyman 2010-09-03 18:49:47 EDT
(In reply to comment #2)
>
> Add the missing BuildRequires and it's APPROVED.

Done. Thanks for the review, Ian.

New Package SCM Request
=======================
Package Name: perl-CGI-Application-Plugin-CAPTCHA
Short Description: Easily create, use, and verify CAPTCHAs in CGI::Application-based web apps
Owners: eseyman
Branches: f12 f13 f14
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2010-09-05 13:53:22 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2010-09-05 18:51:30 EDT
perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc13
Comment 7 Fedora Update System 2010-09-05 18:51:35 EDT
perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc14
Comment 8 Fedora Update System 2010-09-05 18:51:40 EDT
perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc12
Comment 9 Fedora Update System 2010-09-06 01:15:15 EDT
perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-CAPTCHA'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc14
Comment 10 Fedora Update System 2010-09-15 23:52:23 EDT
perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-09-17 14:25:28 EDT
perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-09-17 14:26:11 EDT
perl-CGI-Application-Plugin-CAPTCHA-0.01-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.